
.SUFFIXES: .cpp .c .hpp .h .obj .def

CC = cl
LD = link
NOLINK = /c
LIBRARIAN = lib
COMPILERSUFFIX = vc

!ifdef	Debug
COMPILEDEBUG = /Ge /Od /Zi /D_DEBUG /MD
COMPILEDEBUGDLL = /Ge /Od /Zi /D_DEBUG /MD
LINKDEBUG = /debug
DEBUGSUFFIX = D
!else
COMPILEDEBUG = /O2 /DNDEBUG /MD
COMPILEDEBUGDLL = /O2 /DNDEBUG /MD
LINKDEBUG =
DEBUGSUFFIX = 
!endif

#	Add something depending on the target processor, later
#	CPUFLAGS = 

COMMONCPPFLAGS = /Gf /nologo /vmg /W3 /DWIN32 /TP /GX
CPPFLAGS = $(COMMONCPPFLAGS) $(COMPILEDEBUG)
CPPFLAGSDLL = $(COMMONCPPFLAGS) /GD $(COMPILEDEBUGDLL)

COMMONWIN32LIBS = \
	kernel32.lib \
	user32.lib \
	gdi32.lib \
	winspool.lib \
	comdlg32.lib \
	advapi32.lib \
	shell32.lib \
	ole32.lib \
	oleaut32.lib \
	uuid.lib \
	odbc32.lib \
	odbccp32.lib \

COMMONLINKFLAGS = /nologo /incremental:no /machine:I386 $(COMMONWIN32LIBS)
LINKFLAGSCONSOLE = $(COMMONLINKFLAGS) /subsystem:console $(LINKDEBUG)
LINKFLAGSGUI = $(COMMONLINKFLAGS) /subsystem:windows $(LINKDEBUG)
LINKFLAGSDLL = /dll $(COMMONLINKFLAGS) /subsystem:windows $(LINKDEBUG)

EXECOMPILECPP = $(CC) $(NOLINK) $(CPPFLAGS)
DLLCOMPILECPP = $(CC) $(NOLINK) $(CPPFLAGSDLL)

EXELINKCONSOLE = $(LD) $(LINKFLAGSCONSOLE)
EXELINKGUI = $(LD) $(LINKFLAGSGUI)
DLLLINK = $(LD) $(LINKFLAGSDLL)

default: targets

targets: isinst.dll

INST_MODULES = inst.obj utils.obj
INST_LINK = $(DLLLINK) netapi32.lib

inst.obj: inst.cpp
	$(DLLCOMPILECPP) inst.cpp

utils.obj: utils.cpp
	$(DLLCOMPILECPP) utils.cpp

isinst.dll: $(INST_MODULES)
	$(INST_LINK) /out:$@ /implib:isinst.lib $(INST_MODULES)
	del isinst.exp

