/*------------------------------------------------------*\

    Author:     Ed Smiley
                esmiley@cruzio.com
                http://mail.cruzio.com/~esmiley/

    Date:         June 13, 1998
    Revised:    June 13, 1998
    Name:       LaunchAppGetExitCode.rul
   Version:    1.01


This program via demented brain of Ed Smiley 1998.

This program may be freely copied and distributed without
restriction.  The one proviso is that full credit be given.
\*---------------------------------------------------------*/

/*        NOTE:  Uses the similar definitions to hideappandwait
        by  Elihu Rozen <Elihu_Rozen@psdi.com>
*/



#define UNABLE_TO_LAUNCH -999
#ifndef STILL_ACTIVE
#define STILL_ACTIVE    0x00000103L
#endif

     prototype LaunchAppGetExitCode(STRING, STRING, NUMBER);

#ifndef CREATEPROCESSA
#define CREATEPROCESSA
     prototype BOOL kernel32.CreateProcessA(POINTER, BYVAL STRING, POINTER, 
               POINTER, BOOL, NUMBER, POINTER, POINTER, POINTER, 
               POINTER);
#endif
#ifndef GETEXITCODEPROCESS
#define GETEXITCODEPROCESS
    prototype BOOL kernel32.GetExitCodeProcess(NUMBER, POINTER);
#endif

#ifndef STARTUPINFO_TYPEDEF
#define STARTUPINFO_TYPEDEF
    typedef STARTUPINFO
    begin
        NUMBER   cb;
        POINTER  lpReserved;
        POINTER  lpDesktop;
        POINTER  lpTitle;
        NUMBER   dwX;
        NUMBER   dwY;
        NUMBER   dwXSize;
        NUMBER   dwYSize;
        NUMBER   dwXCountChars;
        NUMBER   dwYCountChars;
        NUMBER   dwFillAttribute;
        NUMBER   dwFlags;
        // the following is actually two words, but we know
        // we want 0 as the value, so we cheat & create one NUMBER
        NUMBER    wShowWindow;
        //WORD    cbReserved2;
        POINTER  lpReserved2;
        HWND  hStdInput;
        HWND  hStdOutput;
        HWND  hStdError;
    end;
#endif
#ifndef PROCESS_INFORMATION_TYPEDEF
#define PROCESS_INFORMATION_TYPEDEF
    typedef PROCESS_INFORMATION
    begin
        NUMBER hProcess;
        HWND hThread;
        NUMBER dwProcessId;
        NUMBER dwThreadId;
    end;
#endif
